<?php


namespace App\ViewModels\Raca\RacaUpdateViewModel;


use App\Utils\Entity;

class RacaUpdateViewModel extends Entity
{

    protected $nome;
    protected $id_especie;

    public static function builder() : RacaUpdateViewModelBuilder
    {
        return new RacaUpdateViewModelBuilder;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    /**
     * @return mixed
     */
    public function getIdEspecie()
    {
        return $this->id_especie;
    }

    /**
     * @param mixed $id_especie
     */
    public function setIdEspecie($id_especie): void
    {
        $this->id_especie = $id_especie;
    }


}